using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class MainMenuController : MonoBehaviour
{

    public void SelectPlayer1()
    {
        CharacterSelectController.instance.CharIndex = 0;

        SceneManager.LoadScene(TagManager.GAMEPLAY_SCENE_NAME);
    }

    public void SelectPlayer2()
    {
        CharacterSelectController.instance.CharIndex = 1;

        SceneManager.LoadScene(TagManager.GAMEPLAY_SCENE_NAME);
    }

    public void SelectPlayer(int index)
    {
        CharacterSelectController.instance.CharIndex = index;

        SceneManager.LoadScene(TagManager.GAMEPLAY_SCENE_NAME);
    }

    public void SelectPlayer()
    {

        CharacterSelectController.instance.CharIndex = int.Parse(UnityEngine.EventSystems.EventSystem.current.currentSelectedGameObject.name);

        SceneManager.LoadScene(TagManager.GAMEPLAY_SCENE_NAME);
    }

}
